# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.pairnic.com/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/parsers/whois.pairnic.com.rb'

describe Whois::Parsers::WhoisPairnicCom, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.pairnic.com/status_registered.txt")
    part = Whois::Record::Part.new(body: File.read(file))
    described_class.new(part)
  end

  describe "#domain" do
    it do
      expect(subject.domain).to eq("pairnic.com")
    end
  end
  describe "#domain_id" do
    it do
      expect(subject.domain_id).to eq("2806983_DOMAIN_COM-VRSN")
    end
  end
  describe "#status" do
    it do
      expect(subject.status).to eq(:registered)
    end
  end
  describe "#available?" do
    it do
      expect(subject.available?).to eq(false)
    end
  end
  describe "#registered?" do
    it do
      expect(subject.registered?).to eq(true)
    end
  end
  describe "#created_on" do
    it do
      expect(subject.created_on).to be_a(Time)
      expect(subject.created_on).to eq(Time.parse("1998-12-19T05:00:00.0000Z"))
    end
  end
  describe "#updated_on" do
    it do
      expect(subject.updated_on).to be_a(Time)
      expect(subject.updated_on).to eq(Time.parse("2012-09-04T13:55:30.0000Z"))
    end
  end
  describe "#expires_on" do
    it do
      expect(subject.expires_on).to be_a(Time)
      expect(subject.expires_on).to eq(Time.parse("2017-12-18T19:00:-0500Z"))
    end
  end
  describe "#registrar" do
    it do
      expect(subject.registrar).to be_a(Whois::Parser::Registrar)
      expect(subject.registrar.id).to eq("99")
      expect(subject.registrar.name).to eq("pairNIC INC")
      expect(subject.registrar.organization).to eq("pairNIC INC")
      expect(subject.registrar.url).to eq("https://www.pairnic.com")
    end
  end
  describe "#registrant_contacts" do
    it do
      expect(subject.registrant_contacts).to be_a(Array)
      expect(subject.registrant_contacts.size).to eq(1)
      expect(subject.registrant_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.registrant_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_REGISTRANT)
      expect(subject.registrant_contacts[0].id).to eq("753531")
      expect(subject.registrant_contacts[0].name).to eq("Domain Administrator")
      expect(subject.registrant_contacts[0].organization).to eq("pair Networks, Inc.")
      expect(subject.registrant_contacts[0].address).to eq("2403 Sidney Street Suite 210")
      expect(subject.registrant_contacts[0].city).to eq("Pittsburgh")
      expect(subject.registrant_contacts[0].zip).to eq("15203")
      expect(subject.registrant_contacts[0].state).to eq("PA")
      expect(subject.registrant_contacts[0].country_code).to eq("US")
      expect(subject.registrant_contacts[0].phone).to eq("")
      expect(subject.registrant_contacts[0].fax).to eq("")
      expect(subject.registrant_contacts[0].email).to eq("")
    end
  end
  describe "#admin_contacts" do
    it do
      expect(subject.admin_contacts).to be_a(Array)
      expect(subject.admin_contacts.size).to eq(1)
      expect(subject.admin_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.admin_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_ADMINISTRATIVE)
      expect(subject.admin_contacts[0].id).to eq("753250")
      expect(subject.admin_contacts[0].name).to eq("Domain Administrator")
      expect(subject.admin_contacts[0].organization).to eq("pair Networks, Inc.")
      expect(subject.admin_contacts[0].address).to eq("2403 Sidney Street Suite 210")
      expect(subject.admin_contacts[0].city).to eq("Pittsburgh")
      expect(subject.admin_contacts[0].zip).to eq("15203")
      expect(subject.admin_contacts[0].state).to eq("PA")
      expect(subject.admin_contacts[0].country_code).to eq("US")
      expect(subject.admin_contacts[0].phone).to eq("+1.4123817247")
      expect(subject.admin_contacts[0].fax).to eq("+1.4123819997")
      expect(subject.admin_contacts[0].email).to eq("domain@pair.com")
    end
  end
  describe "#technical_contacts" do
    it do
      expect(subject.technical_contacts).to be_a(Array)
      expect(subject.technical_contacts.size).to eq(1)
      expect(subject.technical_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.technical_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_TECHNICAL)
      expect(subject.technical_contacts[0].id).to eq("753250")
      expect(subject.technical_contacts[0].name).to eq("Domain Administrator")
      expect(subject.technical_contacts[0].organization).to eq("pair Networks, Inc.")
      expect(subject.technical_contacts[0].address).to eq("2403 Sidney Street Suite 210")
      expect(subject.technical_contacts[0].city).to eq("Pittsburgh")
      expect(subject.technical_contacts[0].zip).to eq("15203")
      expect(subject.technical_contacts[0].state).to eq("PA")
      expect(subject.technical_contacts[0].country_code).to eq("US")
      expect(subject.technical_contacts[0].phone).to eq("+1.4123817247")
      expect(subject.technical_contacts[0].fax).to eq("+1.4123819997")
      expect(subject.technical_contacts[0].email).to eq("domain@pair.com")
    end
  end
  describe "#nameservers" do
    it do
      expect(subject.nameservers).to be_a(Array)
      expect(subject.nameservers.size).to eq(2)
      expect(subject.nameservers[0]).to be_a(Whois::Parser::Nameserver)
      expect(subject.nameservers[0].name).to eq("ns0.ns0.com")
      expect(subject.nameservers[1]).to be_a(Whois::Parser::Nameserver)
      expect(subject.nameservers[1].name).to eq("ns00.ns0.com")
    end
  end
end
