# encoding: utf-8

# This file is autogenerated. Do not edit it manually.
# If you want change the content of this file, edit
#
#   /spec/fixtures/responses/whois.udag.net/status_registered.expected
#
# and regenerate the tests with the following rake task
#
#   $ rake spec:generate
#

require 'spec_helper'
require 'whois/parsers/whois.udag.net.rb'

describe Whois::Parsers::WhoisUdagNet, "status_registered.expected" do

  subject do
    file = fixture("responses", "whois.udag.net/status_registered.txt")
    part = Whois::Record::Part.new(body: File.read(file))
    described_class.new(part)
  end

  describe "#domain" do
    it do
      expect(subject.domain).to eq("udag.net")
    end
  end
  describe "#domain_id" do
    it do
      expect(subject.domain_id).to eq("59973274_DOMAIN_NET-VRSN")
    end
  end
  describe "#status" do
    it do
      expect(subject.status).to eq(:registered)
    end
  end
  describe "#available?" do
    it do
      expect(subject.available?).to eq(false)
    end
  end
  describe "#registered?" do
    it do
      expect(subject.registered?).to eq(true)
    end
  end
  describe "#created_on" do
    it do
      expect(subject.created_on).to be_a(Time)
      expect(subject.created_on).to eq(Time.parse("2001-02-11T20:15:57Z"))
    end
  end
  describe "#updated_on" do
    it do
      expect(subject.updated_on).to be_a(Time)
      expect(subject.updated_on).to eq(Time.parse("2013-02-12T08:40:19Z"))
    end
  end
  describe "#expires_on" do
    it do
      expect(subject.expires_on).to be_a(Time)
      expect(subject.expires_on).to eq(Time.parse("2014-02-11T20:15:57Z"))
    end
  end
  describe "#registrar" do
    it do
      expect(subject.registrar).to be_a(Whois::Parser::Registrar)
      expect(subject.registrar.id).to eq("1408")
      expect(subject.registrar.name).to eq("united domains AG")
      expect(subject.registrar.organization).to eq("united domains AG")
      expect(subject.registrar.url).to eq("http://www.united-domains.de/")
    end
  end
  describe "#registrant_contacts" do
    it do
      expect(subject.registrant_contacts).to be_a(Array)
      expect(subject.registrant_contacts.size).to eq(1)
      expect(subject.registrant_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.registrant_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_REGISTRANT)
      expect(subject.registrant_contacts[0].id).to eq(nil)
      expect(subject.registrant_contacts[0].name).to eq("Host Master")
      expect(subject.registrant_contacts[0].organization).to eq("united-domains AG")
      expect(subject.registrant_contacts[0].address).to eq("Gautinger Str. 10")
      expect(subject.registrant_contacts[0].city).to eq("Starnberg")
      expect(subject.registrant_contacts[0].zip).to eq("82319")
      expect(subject.registrant_contacts[0].state).to eq("Bayern")
      expect(subject.registrant_contacts[0].country).to eq(nil)
      expect(subject.registrant_contacts[0].country_code).to eq("DE")
      expect(subject.registrant_contacts[0].phone).to eq("+49.8151368670")
      expect(subject.registrant_contacts[0].fax).to eq("+49.81513686777")
      expect(subject.registrant_contacts[0].email).to eq("hostmaster@united-domains.de")
      expect(subject.registrant_contacts[0].created_on).to eq(nil)
      expect(subject.registrant_contacts[0].updated_on).to eq(nil)
    end
  end
  describe "#admin_contacts" do
    it do
      expect(subject.admin_contacts).to be_a(Array)
      expect(subject.admin_contacts.size).to eq(1)
      expect(subject.admin_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.admin_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_ADMINISTRATIVE)
      expect(subject.admin_contacts[0].id).to eq(nil)
      expect(subject.admin_contacts[0].name).to eq("Hostmaster Hostmaster")
      expect(subject.admin_contacts[0].organization).to eq("united-domains AG")
      expect(subject.admin_contacts[0].address).to eq("Gautinger Strasse 10")
      expect(subject.admin_contacts[0].city).to eq("Starnberg")
      expect(subject.admin_contacts[0].zip).to eq("82319")
      expect(subject.admin_contacts[0].state).to eq("DE")
      expect(subject.admin_contacts[0].country).to eq(nil)
      expect(subject.admin_contacts[0].country_code).to eq("DE")
      expect(subject.admin_contacts[0].phone).to eq("+49.8151368670")
      expect(subject.admin_contacts[0].fax).to eq("+49.81513686777")
      expect(subject.admin_contacts[0].email).to eq("hostmaster@united-domains.de")
      expect(subject.admin_contacts[0].created_on).to eq(nil)
      expect(subject.admin_contacts[0].updated_on).to eq(nil)
    end
  end
  describe "#technical_contacts" do
    it do
      expect(subject.technical_contacts).to be_a(Array)
      expect(subject.technical_contacts.size).to eq(1)
      expect(subject.technical_contacts[0]).to be_a(Whois::Parser::Contact)
      expect(subject.technical_contacts[0].type).to eq(Whois::Parser::Contact::TYPE_TECHNICAL)
      expect(subject.technical_contacts[0].id).to eq(nil)
      expect(subject.technical_contacts[0].name).to eq("Host Master")
      expect(subject.technical_contacts[0].organization).to eq("united-domains AG")
      expect(subject.technical_contacts[0].address).to eq("Gautinger Str. 10")
      expect(subject.technical_contacts[0].city).to eq("Starnberg")
      expect(subject.technical_contacts[0].zip).to eq("82319")
      expect(subject.technical_contacts[0].state).to eq("Bayern")
      expect(subject.technical_contacts[0].country).to eq(nil)
      expect(subject.technical_contacts[0].country_code).to eq("DE")
      expect(subject.technical_contacts[0].phone).to eq("+49.8151368670")
      expect(subject.technical_contacts[0].fax).to eq("+49.81513686777")
      expect(subject.technical_contacts[0].email).to eq("hostmaster@united-domains.de")
      expect(subject.technical_contacts[0].created_on).to eq(nil)
      expect(subject.technical_contacts[0].updated_on).to eq(nil)
    end
  end
  describe "#nameservers" do
    it do
      expect(subject.nameservers).to be_a(Array)
      expect(subject.nameservers.size).to eq(3)
      expect(subject.nameservers[0]).to be_a(Whois::Parser::Nameserver)
      expect(subject.nameservers[0].name).to eq("ns1.udagdns.com")
      expect(subject.nameservers[1]).to be_a(Whois::Parser::Nameserver)
      expect(subject.nameservers[1].name).to eq("ns2.udagdns.com")
      expect(subject.nameservers[2]).to be_a(Whois::Parser::Nameserver)
      expect(subject.nameservers[2].name).to eq("ns3.udagdns.com")
    end
  end
end
